Get Or Create Conversation
Retrieves the [Conversation](#schema_conversation) object containing given tags. If the conversation does not exist, it will be created. Tags will be updated if they are set in the request body.
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
Conversation data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/chat/conversations/get-or-create" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{ "channel": "string", "tags": { "property1": "string", "property2": "string" } }'{ "conversation": { "id": "stringstringstringstringstri", "currentTaskId": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "channel": "string", "integration": "string", "tags": { "property1": "string", "property2": "string" }, "messageCount": 0, "properties": { "property1": "string", "property2": "string" } }, "meta": { "created": true }}{ "conversation": { "id": "stringstringstringstringstri", "currentTaskId": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "channel": "string", "integration": "string", "tags": { "property1": "string", "property2": "string" }, "messageCount": 0, "properties": { "property1": "string", "property2": "string" } }, "meta": { "created": true }}Get Message GET
Retrieves the [Message](#schema_message) object for a valid identifier.
Get Or Create Message POST
Retrieves the [Message](#schema_message) object for given discriminating tags. If the message does not exist, it will be created. If the message already exists, its tags and payload will be updated with the provided values if they are defined.